Name:             wildfly-common
Version:          1.4.0
Release:          1
Summary:          WildFly common utilities
License:          ASL 2.0
URL:              http://wildfly.org/
Source0:          https://github.com/wildfly/wildfly-common/archive/%{version}.Final.tar.gz
BuildRequires:    graphviz maven-local mvn(com.intellij:annotations) mvn(jdepend:jdepend)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:) mvn(org.jboss.apiviz:apiviz) mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations) mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin) mvn(javax.annotation:javax.annotation-api)
BuildRequires:    java-11-openjdk-devel
Requires:         java-11-openjdk javapackages-tools
BuildArch:        noarch
%description
WildFly is a powerful, modular, & lightweight application server that helps you build amazing applications.


%package    help
Summary:          Documents for %{name}
Buildarch:        noarch
Requires:         man info
Provides:         %{name}-javadoc = %{version}-%{release}
Obsoletes:        %{name}-javadoc < %{version}-%{release}
%description help
Man pages and other related documents for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}.Final
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:configuration" '
<sourceFileExcludes>
  <exclude>**/CommonMessages_*.java</exclude>
  <exclude>**/Log_*.java</exclude>
</sourceFileExcludes>'
%mvn_file org.wildfly.common:%{name} %{name}


%build
#set openjdk11 for build
export JAVA_HOME=%{_jvmdir}/java-11-openjdk
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"
%mvn_build


%install
%mvn_install


%files -f .mfiles
%license LICENSE

%files help -f .mfiles-javadoc


%changelog
* Thu Jun 02 2022 wangkai <wangkai385@h-partners.com> - 1.4.0-1
- Update to 1.4.0

* Fri Dec 20 2019 Shuaishuai Song <songshuaishuai2@huawei.com> - 1.1.0-7
- package init
